Subject: Re: [Softwires] I-DAction:draft-cui-softwire-b4-translated-ds-lite-00.txt

From: "Lee, Yiu" <[email-masked]>
Date: Tue, 26 Oct 2010 08:45:27 +0000

Hi Peng,

I am not sure I follow your answer. As I understand correctly, the AFTR
will use PCP to delegate a range of ports + a pub IPv4 address to the B4.
The AFTR will maintain a port-range map in its binding table. B4 is
responsible for managing the binding of its managed hosts. In general,
this is very similar to A+P. The only difference is using PCP instead of
dhcp. I support A+P so I don't have any problem of it, but I just want to
make sure I understand the tech probably.

To address Brian's concern, the AFTR can delegate the port range to the B4
as long as it comes up. This will require some coordination between the
dhcp server and the pcp server.

Regards,
Yiu

On 10/22/10 9:07 AM, "Peng Wu" <[email-masked]> wrote:

>Hi Yiu,
>
>  I think they're different. Let me explain the idea in this way:
>    1.The draft is based on DS-lite, which is quite different from A+P.
>What we do is basically a translation location transfer.
>    2.In control plan, the address & port mapping is still maintained on
>AFTR
>    3.In data plan, the actual translation is done on B4
>    4.By leveraging PCP, we can achieve the communication between B4 and
>AFTR, and B4 can get the inside address & port and also mapped outside
>address & port.
>    5.There're two problems if we do this, the first one is the rtt delay
>as Brian pointed out, and the second one is the capablity of PCP
>server(since we extended it from mapping for inbound use to every
>mapping). So we suggest to do the port mapping and allocation in the way
>of allocating a number of ports at one time, and have B4 manage the
>allocated ports.
>
>  As a result, the data plan burden of AFTR can be transferred to B4
>which can be capable for translating its own traffic. AFTR can be
>"released" and hence serve more end users.
>
>  Again sorry for the poor writing. Hope my explaination helps to
>understand it. We'll publish a better version if you guys find it
>interetsing, but I'm not sure if we can meet the deadline on Next Monday.
>    
>------------------
>Peng Wu
>[email-masked]
>2010-10-22
>
>-------------------------------------------------------------
>发件人：Lee, Yiu
>发送日期：2010-10-21 22:21:57
>收件人：Brian E Carpenter; Softwires
>抄送：
>主题：Re: [Softwires]
>I-DAction:draft-cui-softwire-b4-translated-ds-lite-00.txt
>
>>Hi Cui,
>>
>>This smells a lot like A+P except using PCP rather than DHCP option. Am I
>>getting this right?
>>
>>Yiu
>>
>>
>>On 10/20/10 10:07 PM, "Brian E Carpenter" <[email-masked]>
>>wrote:
>>
>>>Hi,
>>>
>>>Could the authors comment on the real time delay in handling the first
>>>packet?
>>>Isn't it the case that the round-trip time will be rather large for
>>>the messages (2) and (3) in figure 1, since the AFTR has to do the
>>>full job of creating NAPT state, even though it won't be doing
>>>the translation?
>>>
>>>How will performance work out for single-packet exchanges such as a
>>>simple
>>>DNS lookup?
>>>
>>>Regards
>>>   Brian Carpenter
>>>
>>>On 2010-10-19 06:15, [email-masked] wrote:
>>>> A New Internet-Draft is available from the on-line Internet-Drafts
>>>>directories.
>>>> 
>>>>     Title           : B4 translated DS-lite enable AFTR to serve more
>>>>B4s
>>>>     Author(s)       : Y. Cui, et al.
>>>>     Filename        : draft-cui-softwire-b4-translated-ds-lite-00.txt
>>>>     Pages           : 11
>>>>     Date            : 2010-10-18
>>>> 
>>>> The well known Dual Stack lite (DS-lite) technology does great
>>>> contribution to the deployment of IPv6 and alleviate the shortage of
>>>> IPv4 address by making it possible to share a single IPv4 address
>>>> between many hosts.  However, the original DS-lite model make AFTR
>>>> the bottleneck of whole system, thus AFTR's efficiency limits the
>>>> capability of whole DS-lite model.  This draft proposes a B4-
>>>> translated Ds-lite to alleviate the burden of AFTR so that AFTR is
>>>> able to serve more B4s.
>>>> 
>>>> A URL for this Internet-Draft is:
>>>> 
>>>>http://www.ietf.org/internet-drafts/draft-cui-softwire-b4-translated-ds
>>>>-l
>>>>ite-00.txt
>>>> 
>>>> Internet-Drafts are also available by anonymous FTP at:
>>>> ftp://ftp.ietf.org/internet-drafts/
>>>> 
>>>> Below is the data which will enable a MIME compliant mail reader
>>>> implementation to automatically retrieve the ASCII version of the
>>>> Internet-Draft.
>>>> 
>>>> 
>>>> 
>>>>-----------------------------------------------------------------------
>>>>-
>>>> 
>>>> _______________________________________________
>>>> I-D-Announce mailing list
>>>> [email-masked]
>>>> https://www.ietf.org/mailman/listinfo/i-d-announce
>>>> Internet-Draft directories: http://www.ietf.org/shadow.html
>>>> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>>_______________________________________________
>>>Softwires mailing list
>>>[email-masked]
>>>https://www.ietf.org/mailman/listinfo/softwires
>>
>>_______________________________________________
>>Softwires mailing list
>>[email-masked]
>>https://www.ietf.org/mailman/listinfo/softwires